..: Instalando JAVA e NetBeans no Linux Mint/ Ubuntu:..

Publicado: 10 de novembro de 2011 em JAVA

Depois de trocar seu Sistema Operacional, vc ficou perdido em “como instalar meu NetBeans”?… segue dicas rápidas pra instalar desde o Java até o Netbeans no GNU/Linux:

Passo 1 – Instalar o JAVA:

Antes do NetBeans, deve-se instalar os pacotes JDK (para desenvolvimento e poder compilar/ executar as aplicações Java). Abra um terminal e digite:

sudo apt-get install sun-java6-jdk

Siga as orientações (é só aceitar o download e instalação) e pronto.

Passo 2 – Instalar o NetBeans IDE:

Baixe o pacote desejado do NetBeans IDE no site http://netbeans.org/downloads/ e após o download, no modo gráfico, abra a pasta onde salvou o arquivo (notará uma extensão .sh … no Linux praticamente não existe uma versão .exe pra ser executada com clique duplo – ao contrário do que vc está pensando, isso é ótimo pois evita grande parte das auto-execuções de vírus). Abriu a pasta? Ótimo… agora clique com o botão direito do mouse na janela e escolha a opção “Abrir em um Terminal”.

Quando abrir o terminal, digite:

chmod +x netbeans(pressione a tecla TAB pra completar o nome correto do arquivo) depois de completar, ENTER.

./netbeans(TAB aqui também… e depois o ENTER)

Agora, como no Windows, é só seguir os passos na telinha de instalação pra concluir e usar o seu NetBeans on Linux rsrs…

Dúvidas? Use o campo de comentários! 😉

Anúncios
comentários
  1. Dimas disse:

    Esta eh a explicação mais simples e torna mais fácil. valeu !!

  2. Deivilan disse:

    Lendo listas de pacotes… Pronto
    Construindo árvore de dependências
    Lendo informação de estado… Pronto
    O pacote sun-java6-jdk não está disponível, mas é referenciado por outro pacote.
    Isto pode significar que o pacote está faltando, ficou obsoleto ou
    está disponível somente a partir de outra fonte
    No entanto, os pacotes a seguir o substituem:
    apt:i386 apt

    E: O pacote ‘sun-java6-jdk’ não possui candidato para instalação o que fazer quando acontece esse erro? sou novato na plataforma linux mint, e preciso muito do netbeans e não consigo instalar. se poder me ajudar eu agradeço obrigado.

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s